<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100061";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("d/m/Y");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP

		//////Arrastrando campos del Formulario
			$NoComplePG=$_POST['txt_DocuKPD'] or $NoComplePG=$_GET['txt_DocuKPD'];
			
			////Validar Campos en Blanco
			if ($NoComplePG=="")
			{ ////Inicia If General - Detección de Documento en blanco
			echo "<script>alert('ADVERTENCIA:\\n\\nError interno de Documento.\\nFavor de Corroborarlo');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=48-ReciboDocumentoReciboAuditado2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoComplePG'>";
			}
			else
			{ ////Else If General - Detección de Documento en blanco
						
						
				////Identificar Datos Generales del Documento de Recibo
				$sqlIP1 = mysql_query("select * from tabla_documentos where CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoComplePG'");
				if (mysql_numrows($sqlIP1)==0) echo "";
				else{
				$registroIP1=mysql_fetch_array($sqlIP1);
				}
				if (mysql_numrows($sqlIP1)>0)
				{
				$NDocumentoIP1=$registroIP1["NO_DOCUMENTO"];
				$EdoDocIDR1=$registroIP1["ESTADO_DOCUMENTO"];
				$TiEntrIP1=$registroIP1["TIPODEINGRESO"];
				$VigeIDR1=$registroIP1["VIGENCIA"];
				}
				
				////Identificar El estado del Documento
				////if ($EdoDocIDR1<>"POR RECIBIR")
				if ($EdoDocIDR1<>"ASOCIADO" and $EdoDocIDR1<>"RECIBIENDO")
				{
					echo "<script>alert('El Estado del Documento de Recibo Auditado no es apto para este proceso.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=48-ReciboDocumentoReciboAuditado2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoComplePG'>";
				}
				else
				{ //// Inicia If Valiador de estado del Documento
				
				//////HORA y FECHA/////
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
					$FechaLts=date("Ymd");	
				
				////Identificar La caducidad de Documento
				if ($VigeIDR1<$Fecha)
				{
					echo "<script>alert('El Documento de Recibo ha Caducado.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=48-ReciboDocumentoReciboAuditado2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoComplePG'>";
				}
				else
				{ //// Inicia If Valiador de Caducidad Documento
				
				////Identificar el Tipo de Recibo - Parametrizar sus reglas de Recibo
				$sqlIP2 = mysql_query("select * from wms_configura_tipoentrada where CVE_CUENTA='$CveCueCR1' AND CVE_TIPOENTRADA='$TiEntrIP1'");
				if (mysql_numrows($sqlIP2)==0) echo "";
				else{
				$registroIP2=mysql_fetch_array($sqlIP2);
				}
				if (mysql_numrows($sqlIP2)>0)
				{
				$TiPartIP2=$registroIP2["TIPOPARTIDA"];
				}
							
				
/////////++++++++++++++++++++++++++++ INICIA WHILE 1 - DETECCIÓN DE ERRORES ++++++++++++++++++++++++++++/////////

	$sqlW1 = "SELECT * FROM tabla_detalledocumentos WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoComplePG' ORDER BY ID ASC";
	$resW1=mysql_query($sqlW1) or die('Error en la consulta: '.mysql_error());
	While($rowW1 = mysql_fetch_array($resW1,MYSQL_ASSOC))/////INICIA WHILE 2
		 { ////Inicia While 1
			 
			 ////$CuentaRegTotal=$CuentaRegTotal+1;
			 
			 $SkuW1=$rowW1["SKU"];
			 
			 ////Identificar el Detalle del Documento de Recibo
				$sqlIP3 = mysql_query("select * from tabla_detalledocumentos where CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoComplePG' AND SKU='$SkuW1'");
				if (mysql_numrows($sqlIP3)==0) echo "";
				else{
				$registroIP3=mysql_fetch_array($sqlIP3);
				}
				if (mysql_numrows($sqlIP3)>0)
				{
				$CaXReciIP3=$registroIP3["CANT_XRECIBIR"];
				$NoFactuIP3=$registroIP3["NO_FACTURA"];
				$DescProIP3=$registroIP3["DESCRIPCION"];
				}
				
				////Identificar Datos generales del Codigo SKU
				$sqlIP4 = mysql_query("select * from tabla_altaproducto where CUENTA='$CveCueCR1' AND SKU='$SkuW1'");
				if (mysql_numrows($sqlIP4)==0) echo "";
				else{
				$registroIP4=mysql_fetch_array($sqlIP4);
				}
				if (mysql_numrows($sqlIP4)>0)
				{
				$SkuAltIP4=$registroIP4["SKU_ALT"];
				}
				
				////Identificar los Lotes////
					///$LotePG = "L".$FechaLts;
					$LoteWmsPG = "LWMS".$FechaLts;
					///$LoteProPG = "LP".$FechaLts;
					
				/////Sumar el total de piezas Auditadas en Recibo
					$sqlSUMA2 = "SELECT SUM(PZAS) as ObtCant2 FROM tabla_auditoriarecibo WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoComplePG' AND SKU='$SkuW1'";
					$resSUMA2 = mysql_query($sqlSUMA2); 
					$PrePiezas2 = mysql_fetch_assoc($resSUMA2);
					$TPRecibi = $PrePiezas2 ['ObtCant2'];
					$CanRecPG = $TPRecibi;
					
            /////xxxxxxx Tipos de Partida xxxxxxx/////
					
					////%%%%%%Tipo partida 1			
					if ($TiPartIP2=="PARTIDA IGUAL O MENOR")
					{ ////Inicia If Tipo Partida 1
						
						if ($CanRecPG > $CaXReciIP3)
						{ ///Inicia if Mayor que 1
							$ValError = "ERROR";
						}
						else
						{ ///Else if Mayor que 1
							$ValError = "SIN ERROR";
							$CuentaRegTotal=$CuentaRegTotal+1;	
						} ///Termina if Mayor que 1
						
					} ////Termina If Tipo Partida 1
					
		////------------------------------------------------------/////
					
					////%%%%%%Tipo partida 2
					if ($TiPartIP2=="PARTIDA A MAS")
					{ ////Inicia If Tipo Partida 2
							$ValError = "SIN ERROR";
							$CuentaRegTotal=$CuentaRegTotal+1;	
					} ////Termina If Tipo Partida 2

			$CuentaRegExitosos=$CuentaRegExitosos+1;
			 
		 } ////Termina While 1
		 
		 if ($CuentaRegExitosos<>$CuentaRegTotal)			
				{ ///// Inicia If Validador de Proceso
					echo "<script>alert('El Tipo de Entrada que estas utilizando actualmente no permite recibir partidas mayores a la cantidad Detallada en el Documento de Recibo, Por tal motivo es imposible realizar esta acción.\\n\\nFavor de Corroborarlo o en su defecto ponte en contacto con el Administrador del Sistema para dar una solucion al problema.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=48-ReciboDocumentoReciboAuditado2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoComplePG'>";
				}
				else
				{ ///// Inicia Else Validador de Proceso
					
					
					
///*********************************************** INICIA NUEVO PROCESO ***********************************************///
					
			///Determinar todos los diferentes lotes escaneados por SKU
				///$sqlW2 = "SELECT Distinct(`LOTE`) As DifLote,`SKU` FROM `tabla_auditoriarecibo` WHERE `CVE_CUENTA`='$CveCueCR1' and `NO_DOCUMENTO`='$NoComplePG'";
				$sqlW2 = "SELECT Distinct(`LOTE`) As DifLote,`SKU`,`CADUCIDAD` FROM `tabla_auditoriarecibo` WHERE `CVE_CUENTA`='$CveCueCR1' and `NO_DOCUMENTO`='$NoComplePG'";
				$resW2=mysql_query($sqlW2) or die('Error en la consulta: '.mysql_error());
				While($rowW2 = mysql_fetch_array($resW2,MYSQL_ASSOC))/////INICIA WHILE 2
				{ ////Inicia While 2					
		 
		 		$LotW2=$rowW2["DifLote"];
				$SkuW2=$rowW2["SKU"];
				$CadW2=$rowW2["CADUCIDAD"];
					
				///Identificar el Detalle del Documento de Recibo
				$sqlWF1 = mysql_query("select CANT_XRECIBIR, NO_FACTURA, DESCRIPCION from tabla_detalledocumentos where NO_DOC_COMPLE='$NoComplePG' AND SKU='$SkuW2' AND CVE_CUENTA='$CveCueCR1'");
				if (mysql_numrows($sqlWF1)==0) echo "";
				else{
				$registroWF1=mysql_fetch_array($sqlWF1);
				}
				if (mysql_numrows($sqlWF1)>0)
				{
				$CaXReciWF1=$registroWF1["CANT_XRECIBIR"];
				$NoFactuWF1=$registroWF1["NO_FACTURA"];
				$DescProWF1=$registroWF1["DESCRIPCION"];
				}
				
				///Identificar Datos generales del Codigo SKU
				$sqlWF2 = mysql_query("select SKU_ALT, PZASXCAJA, CAJAXPALLET, DIASCADUCIDAD from tabla_altaproducto where SKU='$SkuW2' AND CUENTA='$CveCueCR1'");
				if (mysql_numrows($sqlWF2)==0) echo "";
				else{
				$registroWF2=mysql_fetch_array($sqlWF2);
				}
				if (mysql_numrows($sqlWF2)>0)
				{
				$SkuAltWF2=$registroWF2["SKU_ALT"];
				$PxCWF2=$registroWF2["PZASXCAJA"];
				$CxPWF2=$registroWF2["CAJAXPALLET"];
				$DiCaduWF2=$registroWF2["DIASCADUCIDAD"];
				}
				
				///Hora y Fecha
				$Hora=time();
				$HoraOK=date("H:i:s",$Hora);
				$Fecha=date("Y/m/d");
				
				///Detectar si dentro de la Auditoria de Recibo se asignaron Fechas de Caducidad
				if ($CadW2 == "")
				{
					///Identificar la caducidad de Documento
					$CaduSku = strtotime ( '+'.$DiCaduWF2.' day' , strtotime ( $Fecha ) ) ;
					$CaduSku = date ( 'Y/m/d' , $CaduSku );
				}
				else
				{
					$CaduSku = 	$CadW2;
				}
					
				///Identificar la caducidad de Documento
				///$CaduSku = strtotime ( '+'.$DiCaduWF2.' day' , strtotime ( $Fecha ) ) ;
				///$CaduSku = date ( 'Y/m/d' , $CaduSku );
				
				///Identificar los Lotes////
				$LoteWmsWF1 = "LWMS".$FechaLts;
					
				///Sumar el total de piezas Auditadas en Recibo - CANTIDAD RECIBIDA por LOTE
				$sqlSUMA2 = "SELECT SUM(PZAS) as ObtCant2 FROM tabla_auditoriarecibo WHERE NO_DOCUMENTO='$NoComplePG' AND SKU='$SkuW2' AND LOTE='$LotW2' AND CVE_CUENTA='$CveCueCR1'";
				$resSUMA2 = mysql_query($sqlSUMA2); 
				$PrePiezas2 = mysql_fetch_assoc($resSUMA2);
				$TPRecibi = $PrePiezas2 ['ObtCant2'];
				$CanRecWF1 = $TPRecibi;
					
				/////&&&&&&&&&&&&&&&&&&&&&& Inicia if Tipo Partida 1 &&&&&&&&&&&&&&&&&&&&&&/////	

				if ($TiPartIP2=="PARTIDA IGUAL O MENOR")
					{ ////Inicia If Tipo Partida 1
												
							/////Generar el ID del Folio de la tabla_recibo
							$sqlID2 = "select max(ID) as ultimo_FOLIO2 from tabla_recibo"; 
							$lib2 = mysql_query($sqlID2); 
							$rs_lib2 = mysql_fetch_assoc($lib2); 
							$id_nuevo2 = $rs_lib2['ultimo_FOLIO2'] + 1;
			
							//////GUARDAR EL LA BD//////////
							$sqlGP = "insert into tabla_recibo (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,NO_FACTURA,CANT_XRECIBIR,CANT_RECIBIDA,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,PIEZASXCAJA,CAJASXPALLET,USUARIO_ALTA,HORA,FECHA)
			        		values('$id_nuevo2','$CveBodCR1','$CveCueCR1','$NDocumentoIP1','$NoComplePG','$SkuW2','$SkuAltWF2','$DescProWF1','$NoFactuWF1','$CaXReciWF1','$CanRecWF1','$LotW2','$LoteWmsWF1','','$CaduSku','$PxCWF2','$CxPWF2','$UsuEn','$HoraOK','$Fecha')";

							$resultadoGP=mysql_query($sqlGP,$conexion) or die(mysql_error());
					
							//////Guarda la Modificación del Estado del Documento
							$sqlME="UPDATE tabla_documentos SET ESTADO_DOCUMENTO='RECIBIENDO',HORA_RECI='$HoraOK',FECHA_RECI='$Fecha' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoComplePG'";
							$resultadoME=mysql_query($sqlME,$conexion) or die(mysql_error());
							
							//////Guarda la Modificación del Estado de la Partida del Detalle
							$sqlME2="UPDATE tabla_detalledocumentos SET ESTATUS='PROCESADO' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoComplePG' AND SKU='$SkuW2'";
							$resultadoME2=mysql_query($sqlME2,$conexion) or die(mysql_error());					
				
					} ////Termina If Tipo Partida 1
					
					
					/////&&&&&&&&&&&&&&&&&&&&&& Inicia if Tipo Partida 2 &&&&&&&&&&&&&&&&&&&&&&/////	

				if ($TiPartIP2=="PARTIDA A MAS")
					{ ////Inicia If Tipo Partida 2
												
							/////Generar el ID del Folio de la tabla_recibo
							$sqlID2 = "select max(ID) as ultimo_FOLIO2 from tabla_recibo"; 
							$lib2 = mysql_query($sqlID2); 
							$rs_lib2 = mysql_fetch_assoc($lib2); 
							$id_nuevo2 = $rs_lib2['ultimo_FOLIO2'] + 1;
			
							//////GUARDAR EL LA BD//////////
							$sqlGP = "insert into tabla_recibo (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,NO_FACTURA,CANT_XRECIBIR,CANT_RECIBIDA,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,PIEZASXCAJA,CAJASXPALLET,USUARIO_ALTA,HORA,FECHA)
			        		values('$id_nuevo2','$CveBodCR1','$CveCueCR1','$NDocumentoIP1','$NoComplePG','$SkuW2','$SkuAltWF2','$DescProWF1','$NoFactuWF1','$CaXReciWF1','$CanRecWF1','$LotW2','$LoteWmsWF1','','$CaduSku','$PxCWF2','$CxPWF2','$UsuEn','$HoraOK','$Fecha')";

							$resultadoGP=mysql_query($sqlGP,$conexion) or die(mysql_error());
					
							//////Guarda la Modificación del Estado del Documento
							$sqlME="UPDATE tabla_documentos SET ESTADO_DOCUMENTO='RECIBIENDO',HORA_RECI='$HoraOK',FECHA_RECI='$Fecha' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoComplePG'";
							$resultadoME=mysql_query($sqlME,$conexion) or die(mysql_error());
							
							//////Guarda la Modificación del Estado de la Partida del Detalle
							$sqlME2="UPDATE tabla_detalledocumentos SET ESTATUS='PROCESADO' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoComplePG' AND SKU='$SkuW2'";
							$resultadoME2=mysql_query($sqlME2,$conexion) or die(mysql_error());
																
						
					} ////Termina If Tipo Partida 2
									
				} ////Termina While 2
					
					
					
///#################################################################################3
					
					
			///Determinar todos los diferentes lotes escaneados por SKU
				$sqlW3 = "Select * From tabla_detalledocumentos where tabla_detalledocumentos.no_doc_comple='$NoComplePG' and tabla_detalledocumentos.cve_cuenta='$CveCueCR1' and Not sku In (Select sku From tabla_auditoriarecibo)";
				$resW3=mysql_query($sqlW3) or die('Error en la consulta: '.mysql_error());
				While($rowW3 = mysql_fetch_array($resW3,MYSQL_ASSOC))/////INICIA WHILE 3
				{ ////Inicia While 2
					
				$SkuW3=$rowW3["SKU"];
					
				///Identificar el Detalle del Documento de Recibo
				$sqlWF1 = mysql_query("select CANT_XRECIBIR, NO_FACTURA, DESCRIPCION from tabla_detalledocumentos where NO_DOC_COMPLE='$NoComplePG' AND SKU='$SkuW3' AND CVE_CUENTA='$CveCueCR1'");
				if (mysql_numrows($sqlWF1)==0) echo "";
				else{
				$registroWF1=mysql_fetch_array($sqlWF1);
				}
				if (mysql_numrows($sqlWF1)>0)
				{
				$CaXReciWF1=$registroWF1["CANT_XRECIBIR"];
				$NoFactuWF1=$registroWF1["NO_FACTURA"];
				$DescProWF1=$registroWF1["DESCRIPCION"];
				}
				
				///Identificar Datos generales del Codigo SKU
				$sqlWF2 = mysql_query("select SKU_ALT, PZASXCAJA, CAJAXPALLET, DIASCADUCIDAD from tabla_altaproducto where SKU='$SkuW3' AND CUENTA='$CveCueCR1'");
				if (mysql_numrows($sqlWF2)==0) echo "";
				else{
				$registroWF2=mysql_fetch_array($sqlWF2);
				}
				if (mysql_numrows($sqlWF2)>0)
				{
				$SkuAltWF2=$registroWF2["SKU_ALT"];
				$PxCWF2=$registroWF2["PZASXCAJA"];
				$CxPWF2=$registroWF2["CAJAXPALLET"];
				$DiCaduWF2=$registroWF2["DIASCADUCIDAD"];
				}
				
				///Hora y Fecha
				$Hora=time();
				$HoraOK=date("H:i:s",$Hora);
				$Fecha=date("Y/m/d");
				
				///Identificar la caducidad de Documento
				$CaduSku = strtotime ( '+'.$DiCaduWF2.' day' , strtotime ( $Fecha ) ) ;
				$CaduSku = date ( 'Y/m/d' , $CaduSku );
				
				///Identificar los Lotes////
				$LoteWmsWF1 = "LWMS".$FechaLts;
					
				///Sumar el total de piezas Auditadas en Recibo - CANTIDAD RECIBIDA por LOTE
				$CanRecWF1 = "0";
					
				/////&&&&&&&&&&&&&&&&&&&&&& Inicia if Tipo Partida 1 &&&&&&&&&&&&&&&&&&&&&&/////	

				if ($TiPartIP2=="PARTIDA IGUAL O MENOR")
					{ ////Inicia If Tipo Partida 1
												
							/////Generar el ID del Folio de la tabla_recibo
							$sqlID2 = "select max(ID) as ultimo_FOLIO2 from tabla_recibo"; 
							$lib2 = mysql_query($sqlID2); 
							$rs_lib2 = mysql_fetch_assoc($lib2); 
							$id_nuevo2 = $rs_lib2['ultimo_FOLIO2'] + 1;
			
							//////GUARDAR EL LA BD//////////
							$sqlGP = "insert into tabla_recibo (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,NO_FACTURA,CANT_XRECIBIR,CANT_RECIBIDA,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,PIEZASXCAJA,CAJASXPALLET,USUARIO_ALTA,HORA,FECHA)
			        		values('$id_nuevo2','$CveBodCR1','$CveCueCR1','$NDocumentoIP1','$NoComplePG','$SkuW3','$SkuAltWF2','$DescProWF1','$NoFactuWF1','$CaXReciWF1','$CanRecWF1','','$LoteWmsWF1','','$CaduSku','$PxCWF2','$CxPWF2','$UsuEn','$HoraOK','$Fecha')";

							$resultadoGP=mysql_query($sqlGP,$conexion) or die(mysql_error());
					
							//////Guarda la Modificación del Estado del Documento
							$sqlME="UPDATE tabla_documentos SET ESTADO_DOCUMENTO='RECIBIENDO',HORA_RECI='$HoraOK',FECHA_RECI='$Fecha' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoComplePG'";
							$resultadoME=mysql_query($sqlME,$conexion) or die(mysql_error());
							
							//////Guarda la Modificación del Estado de la Partida del Detalle
							$sqlME2="UPDATE tabla_detalledocumentos SET ESTATUS='PROCESADO' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoComplePG' AND SKU='$SkuW2'";
							$resultadoME2=mysql_query($sqlME2,$conexion) or die(mysql_error());					
				
					} ////Termina If Tipo Partida 1
					
					
					/////&&&&&&&&&&&&&&&&&&&&&& Inicia if Tipo Partida 2 &&&&&&&&&&&&&&&&&&&&&&/////	

				if ($TiPartIP2=="PARTIDA A MAS")
					{ ////Inicia If Tipo Partida 2
												
							/////Generar el ID del Folio de la tabla_recibo
							$sqlID2 = "select max(ID) as ultimo_FOLIO2 from tabla_recibo"; 
							$lib2 = mysql_query($sqlID2); 
							$rs_lib2 = mysql_fetch_assoc($lib2); 
							$id_nuevo2 = $rs_lib2['ultimo_FOLIO2'] + 1;
			
							//////GUARDAR EL LA BD//////////
							$sqlGP = "insert into tabla_recibo (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,NO_FACTURA,CANT_XRECIBIR,CANT_RECIBIDA,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,PIEZASXCAJA,CAJASXPALLET,USUARIO_ALTA,HORA,FECHA)
			        		values('$id_nuevo2','$CveBodCR1','$CveCueCR1','$NDocumentoIP1','$NoComplePG','$SkuW3','$SkuAltWF2','$DescProWF1','$NoFactuWF1','$CaXReciWF1','$CanRecWF1','','$LoteWmsWF1','','$CaduSku','$PxCWF2','$CxPWF2','$UsuEn','$HoraOK','$Fecha')";

							$resultadoGP=mysql_query($sqlGP,$conexion) or die(mysql_error());
					
							//////Guarda la Modificación del Estado del Documento
							$sqlME="UPDATE tabla_documentos SET ESTADO_DOCUMENTO='RECIBIENDO',HORA_RECI='$HoraOK',FECHA_RECI='$Fecha' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoComplePG'";
							$resultadoME=mysql_query($sqlME,$conexion) or die(mysql_error());
							
							//////Guarda la Modificación del Estado de la Partida del Detalle
							$sqlME2="UPDATE tabla_detalledocumentos SET ESTATUS='PROCESADO' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoComplePG' AND SKU='$SkuW2'";
							$resultadoME2=mysql_query($sqlME2,$conexion) or die(mysql_error());
																
						
					} ////Termina If Tipo Partida 2
					
				} ////Termina While 3				
					
					
///*********************************************** TERMINA NUEVO PROCESO ***********************************************///
				
				echo "<script>alert('RECIBO GENERAL PROCESADO CORRECTAMENTE');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=34-ReciboDocumentoRecibo4.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoComplePG'>";	
					
			} ///// Termina If Validador de Proceso
				
				
				
			} //// Termina If Valiador de Caducidad Documento
			} //// Termina If Valiador de estado del Documento
			} ////Inicia If General - Detección de Documento en blanco
?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>